=== modified file 'HACKING'
--- HACKING	2007-04-06 14:49:24 +0000
+++ HACKING	2007-07-15 15:05:06 +0000
@@ -1,7 +1,11 @@
-The Bazaar hacking guide (HACKING in the source tarball) should be applicable to bzr-gtk as well, with a few exceptions listed in this file.
-
-bzr-gtk is a set of GTK+ frontends to Bazaar. Integration between components and with the system is highly welcome. 
-
-The GNOME Human Interface Guidelines (http://developer.gnome.org/projects/gup/hig/) should be followed where possible.
+The Bazaar hacking guide (HACKING in the source tarball) should be applicable 
+to bzr-gtk as well, with a few exceptions listed in this file.
+
+bzr-gtk is a set of GTK+ frontends to Bazaar. Integration between components 
+and with the system is highly welcome. 
+
+The GNOME Human Interface Guidelines 
+(http://developer.gnome.org/projects/gup/hig/) should be followed where 
+possible.
 
 Please update the NEWS file when closing bugs or adding new features.

=== modified file 'push.py'
--- push.py	2007-02-03 15:04:56 +0000
+++ push.py	2007-07-15 15:05:06 +0000
@@ -113,8 +113,10 @@
         m = _urlRE.match(url)
         if m:
             proto = m.groupdict()['proto']
-            if (proto == 'sftp') or (proto == 'file') or (proto == 'ftp'):
-                # have write acces (most probably)
+            # FIXME: This should ask the transport or branch rather than 
+            # guessing using regular expressions. JRV 20070714
+            if proto in ('sftp', 'file', 'ftp'):
+                # have write access (most probably)
                 self._image_test.set_from_stock(gtk.STOCK_YES, 4)
                 self._label_test.set_markup(_('<b>Write access is probably available</b>'))
             else:

